local LibSmooth = LibStub("LibSmoothStatusBar-1.0")
local SmoothBar = {}
ShadowUF:RegisterModule(SmoothBar, "smoothBar", "Smooth Bar")

function SmoothBar:OnInitialize()	
	for _, unit in pairs(ShadowUF.unitList) do
		ShadowUF.db.profile.units[unit].smoothBar = ShadowUF.db.profile.units[unit].smoothBar or { enabled = true }
	end
end

function SmoothBar:OnEnable(frame)	
	if frame.healthBar then LibSmooth:SmoothBar(frame.healthBar) end
	if frame.powerBar then LibSmooth:SmoothBar(frame.powerBar) end
end

function SmoothBar:OnDisable(frame)
	if frame.healthBar then LibSmooth:ResetBar(frame.healthBar) end
	if frame.powerBar then LibSmooth:ResetBar(frame.powerBar) end
end
